Add a staff member role to a staff member
Creates a staff member role with staff_member_id set to this staff member.
Path Parameters
- Type: stringFormat: uuididrequired
Staff member id.
Body·
required
application/json
Fields accepted when creating a staff member role. Unknown or read-only fields are rejected.
- Type: string | nullFormat: uuidrole
_id requiredReferences roles.id.
- Type: string | nullFormat: uuidstaff
_member _id requiredReferences staff_members.id.
- Type: number | nullcall
_order - Type: string | nulllabel
- Type: string | nullenumstatus
Active capabilities staff first; bench is the reserve pool; inactive is retired.
valuesinactivebenchactivenull
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/staff-members/{id}/roles
curl https://api.hireorpheus.com/api/v1/staff-members/123e4567-e89b-12d3-a456-426614174000/roles \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"label": null,
"status": "inactive",
"call_order": null,
"role_id": null,
"staff_member_id": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": null,
"status": "inactive",
"call_order": null,
"role_id": null,
"staff_member_id": null,
"created_time": "2026-10-14T08:02:53.607Z",
"last_edited_time": "2026-10-14T08:02:53.607Z"
}
}